Codemix3升级了,Myeclipse使用者不用换IDE多语言开发,对标Java版本Vscode

原创|行业资讯|编辑:status|2019-12-20 15:19:43.803|阅读 675 次

概述:CodeMix扩展是可以匹敌VS Code的基于Eclipse编辑器的插件,通过Code OSS扩展组件,你就能实现Vue、React、Python、php、Go、Angular、TypeScript等多语言开发。

# 31款JAVA开发必备控件和工具 # 企业数字化建设合规无风险[专题]

可能很多国内Java开发者还没有使用过CodeMix这个神奇的组件,小编再来简介一下Codemix。

微信截图_20191220151813.png

Codemix是基于Eclipse的插件,这个插件可以使你使用到如VS Code一样的 Code OSS扩展社区,以及Webclipse 1.x特性。 CodeMix可以安装在基于Eclipse的IDE上,从MyEclipse到Spring工具套件,并且与PDT和PyDev等流行插件兼容。

cmtop.gif

最近的一个CodeMix版本是于本月(2019年12月)11日发布的,因此官方给他的正式命名为CodeMix 3,版本号为CI 2019.12.11。最新版更新了以下内容:

  • Eclipse 2019-12兼容性。CodeMix CI 2019.12.11与Eclipse的12月发行版兼容,您可以将Eclipse所有最新功能和修补程序与CodeMix一起使用。

  • macOS Catalina兼容性。默认情况下,macOS Catalina上对“zsh”shell的更改破坏了某些集成。CodeMix最新版将继续使用Bash来保持集成按预期运行。

对一个开发人员来讲,IDE的稳定性很重要,既然是插件体积最好不要过大以免加载缓慢。

小编认为官方提供的CodeMix 3的安装环境建议其实还是挺简单的,我认为任何一台开发电脑都完全没有问题:

  • Eclipse 2019-06 through 4.6 (Neon)

  • Eclipse Update Site or Discovery Site Available

  • ~300MB 硬盘空间

  • 0.5 GB – 2 GB free RAM (如果安装的扩展更多的化可能需要更多)

  • Windows 32/64-bit, Linux 32/64-bit, Mac 64-bit

这里说到的Eclipse版本的问题,Myeclipse的使用者就需要升级到最新版本(Myelcipse2019.12.5),如果还没有升级的朋友可以百度搜索“Myeclipse中文网”下载,也可以点击这里下载

CodeMix 3的安装方式:

要从Eclipse Marketplace下载并安装CodeMix,请将上面的按钮拖到正在运行的Eclipse工作区中。此方法需要Marketplace客户端。 

或者,你也可以通过更新站点直接从Eclipse安装: http://www.genuitec.com/updates/codemix/ci/ 。

慧都网在去年CodeMix2上线时也提供了安装教程,小编推荐你先看看。

CodeMix中文版安装教程

在下周,慧都网将发布Myeclipse如何基于CodeMix3去实现Vue、React、Python、php、Go、Angular、TypeScript等多语言开发,感兴趣的朋友请搜藏本页。


标签:

本站文章除注明转载外,均为本站原创或翻译。欢迎任何形式的转载,但请务必注明出处、不得修改原文相关链接,如果存在内容上的异议请邮件反馈至hey@evget.com


为你推荐

  • 推荐视频
  • 推荐活动
  • 推荐产品
  • 推荐文章
  • 慧都慧问
在线咨询
联系我们
TOP
在线客服系统
live chat